# Application vMap

## Installation environnement de dev

### Récupération des dépendances

L'application possède des dépendances sur vitis et module_vmap, pour les récupérer lancer la commande suivante :

```
./bin/clone_deps.sh --app_path=[répertoire de l'application]
```

### Mise en place des points de montage

Afin simuler un environnement de produciton tout en utilisant les modules placés dans le dossier `src` nous utilisons des points de montage.

Pour de les intialiser lance la commande suivante

```
./bin/mount_project.sh --app_path=[répertoire de l'application]
```

### Démarrage du client

```
cd client
npm start
```

### Démarrage du serveur

### Démarrage des moteurs

Il faut commencer par compiler les moteurs Vitis

Vitis: 
```
cd src/vitis/engine/vitis
npm run buildexe
```

Les moteurs Vitis permettant de lancer des jobs de manière periodique.

Maintenant lancer le moteur vitis
```
cd src/vitis/engine/vitis
./jobsRunner
```

## Documentation

### Installation de l'environnement

Installer Python 3.7 ([windows](https://www.python.org/downloads/)) et pip puis installer les dépendances suivantes :

```bash
pip install -U sphinx
pip install sphinx_rtd_theme
pip install sphinx-markdown-parser
pip install recommonmark
pip install pymdown-extensions
```

### Compiler la documentation en local

La documentation se trouve dans le dossier doc/source, pour compiler la documentation, il faut exécuter la commande suivante à la racine du dépot : 

```bash
sphinx-build -b html doc/source doc/build
```

il suffit ensuite d'ouvrir le fichier index.html dans doc/build pour visualiser la documentation et naviguer dedans.
