import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';
import { CanDeactivateGuard } from 'src/app/vitis/core/services/deactivate/can-deactivate.guard';
import { CartoComponent } from './carto.component';

export const routes: Routes = [
  {
    path: '',
    component: CartoComponent,
    canDeactivate: [CanDeactivateGuard],
    children: []
  },
];

export const routing: ModuleWithProviders = RouterModule.forChild(routes);
