import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyStylesVisibility } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-visibility',
  templateUrl: './visibility.component.html',
  styleUrls: ['./visibility.component.scss']
})
export class VisibilityComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesVisibility;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesVisibility> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  constructor() { }

  ngOnInit(): void {
  }

}
