import { Component, Input, OnInit, EventEmitter, Output } from '@angular/core';

@Component({
  selector: 'app-layer-symbology-form-select',
  templateUrl: './layer-symbology-form-select.component.html',
  styleUrls: ['./layer-symbology-form-select.component.scss']
})
export class LayerSymbologyFormSelectComponent implements OnInit {

  @Input() public value: any;
  @Input() public options: any;
  @Input() public optionNullable: boolean = true;
  @Input() public label: any;
  @Input() public disabled: boolean = false;
  @Input() public tooltipContent: string;
  @Input() public tooltipTitle: string;

  @Output() changeVal = new EventEmitter<string>();

  constructor() { }

  ngOnInit(): void { }

}
