import { AppModeConfig } from 'src/app/vitis/app.model';

/**
 * Objet vMap du mode mon config
 */
export const vmapConfigVmapObject: AppModeConfig = {
  'name': 'vitis_config_vmap',
  'label': 'TITLE_MODE_CONFIGURATION_VMAP_PROPERTIES',
  'route': 'config-vmap',
  'type': 'simpleform',
  'privilege': 'vmap_admin',
  'options': {
    'module': 'vmap',
    'ressource': 'vmap/properties',
    'id_field': 'module_name',
    'form_path': 'modules/vmap/forms/configuration/configuration.json',
    'js_path': 'modules/vmap/forms/configuration/configuration.js'
  }
};