import { Injectable } from '@angular/core';
import { LocalStorageService } from '../localstorage/local-storage.service';
import { CheckService } from '../check/check.service';

@Injectable({
  providedIn: 'root'
})
export class SessionStorageService extends LocalStorageService {

  constructor(
    public vitisCheck: CheckService,
  ) {
    // Héritage
    super(vitisCheck);

    // Utilise sessionStorage au lieu de localStorage
    this.container = sessionStorage;

    // Vide les valeurs au chargement de l'application
    this.clear();
  }
}
