import { Component, Input, OnInit } from '@angular/core';
import { Map } from 'ol';

@Component({
  selector: 'app-core-controls-location',
  templateUrl: './core-controls-location.component.html',
  styleUrls: ['./core-controls-location.component.scss']
})
export class CoreControlsLocationComponent implements OnInit {

  @Input() olMap: Map;

  public bLocationOpen = false;

  constructor() { }

  ngOnInit(): void {
  }

  /**
   * Ouvre l'outil de localisation
   */
  public toggleLocationInput() {
    this.bLocationOpen = !this.bLocationOpen;
  }

}
