import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DataSourceGridComponent } from './data-source-grid.component';
import { DataGridModule } from '../../data-grid/data-grid.module';
import { FormreaderModule } from '../../formreader/formreader.module';
import { SharedModule } from '../../shared/shared.module';



@NgModule({
  declarations: [DataSourceGridComponent],
  imports: [
    CommonModule,
    SharedModule,
    DataGridModule,
  ],
  exports: [DataSourceGridComponent]
})
export class DataSourceGridModule { }
