export const datasourceTreeviewFileForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'ADMIN_DATASOURCE_TITLE_FILE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'directoryPath',
            'label': 'FORM_DIRECTORY_PATH',
            'nb_cols': 12,
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'filename',
            'label': 'FORM_FILENAME',
            'nb_cols': 12,
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'fileextension',
            'label': 'FORM_EXTENSION',
            'nb_cols': 12,
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'filesize',
            'label': 'FORM_FILE_SIZE',
            'nb_cols': 12,
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'filename',
            'fileextension',
            'filesize',
            'directoryPath'
          ]
        }
      ]
    }
  }
};