import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DraganddropGridComponent } from './draganddrop-grid.component';
import { TranslateLoader, TranslateModule } from '@ngx-translate/core';
import { HttpClient } from '@angular/common/http';
import { DataGridModule } from '../data-grid/data-grid.module';
import { FormreaderModule } from '../formreader/formreader.module';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import * as $ from 'jquery';



@NgModule({
  declarations: [
    DraganddropGridComponent
  ],
  imports: [
    SharedModule,
    CommonModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    DataGridModule,
    FormreaderModule
  ]
})
export class DraganddropGridModule { }
