import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';
import { CanDeactivateGuard } from 'src/app/vitis/core/services/deactivate/can-deactivate.guard';
import { WorkspacelistComponent } from './workspacelist.component';

export const routes: Routes = [
  {
    path: '',
    component: WorkspacelistComponent,
    canDeactivate: [CanDeactivateGuard]
  }, // composant par défaut
];

export const routing: ModuleWithProviders = RouterModule.forChild(routes);