# Installation FrontEnd

Une fois dans le dossier client/ lancer `npm install` pour installer l'ensemble des dépendances dans le dossier `node_modules`.

### Serveur de développement

Lancer `npm start` pour lancer un serveur de développement avec webpack. Un navigateur s'ouvrira automatiquement sur `https://localhost:4200/`. L'application rafraichira le navigateur lors de chaque changement sur les fichiers source.

### Construction production

Lancer `npm run build` pour lancer la compilation de la partie cliente. Ceci va générer les fichiers statiques dans un dossier `dist`. Pour l'hébergement c'est le contenu de ce dossier qu'il faudra placer dans Apache, S3 etc...

### Test syntaxe

Lancer `npm run lint` pour lancer les tests de syntaxe. Ce travail va analyser le code et vérifier que la syntaxe utilisée soit correcte.
Une option `--fix` permet de corriger automatiquement les erreurs

### Tests unitaires

Lancer `npm run test` pour lancer les tests Karma.
