# Vitis Engine

Système permettant de lancer des jobs par l'utilisateur système

## Fonctionnement

Vitis engine utilisera le fichier `conf/jobs.json` pour lancer des 
commandes de manière régulière avec l'utilisateur système.

La configuration de ce fichier se fait en JSON à l'intérieur de 
l'attibut **jobs**, on placera une période ainsi que une commande
sous environnement linux et une commande pour environnement
windows.

## Installation

L'installation permettra de la lancer jobsRunner en tant que demon, 
ceci implique que noua allons devoir créer un service qui va le lancer
à chaque démarrage.

Le service pourra par la suite être stoppé, arr6eté etc... 

### Linux

Pour créer le service sous un environnement linux il faudra modifier
le fichier `conf/vitis.service` et remplacer [APP_PATH] par le 
chemin de l'application en cours.

Une fois le fichier modifié il suffira de le copier au bon endroit
```
sudo cp conf/vitis.service /etc/systemd/system/
```

Une fois le fichier de configuration de service crée et déplacé, 
il faut l'activer pour qu'il soit pris en compte par le système 
et lancé à chaque démarrage.

```
sudo systemctl enable vitis.service
```

On peut ensuite le lancer pour test et contrôler sa bonne marche avec 
les commandes suivantes :

```
sudo systemctl start vitis.service
sudo systemctl status vitis.service
```

## Compilation

La compilation permet d'obtenir un fichier exécutable par la machine, 
elle permet aussi de compiler le fichier de sorte à ce qu'il ne soit
pas lisible par un humain.

Pour lancer la compilation il suffit d'exécuter la commande 
```
npm run build
```