# Test Avec Selenium IDE

## Installation

Ajouter l'[extension](https://www.selenium.dev/selenium-ide/) dans votre navigateur pour concevoir les scénarii.

Vos fichiers Side seton ensuite utilisé soit en local soit via CloudNetCare.

## Régle de conception et d'arborescence

On aura un fichier side par rôle et par module.

ex pour Vitis : 
- vitis_user.side
- vitis_admin.side
- vitis_shared.side

Chaque fichier side contiendra tous les scenarii pour le rôle.

Des tests suites pourront être prévu pour regrouper des tests qui portent sur la même feature.

Vous pouvez développer vos scipts sur votre application locale, (CloudNetcare surcharge automatiquement l'url).

Si vous devez utiliser des fichiers, ils devront être stocké en dehors du module. (S3 ou un autre dépot git qui ne sera clone que si besoin)

ci-dessous un exemple de script : 
![example](./example.png)

Votre script ne doit pas contenir le domaine au moment de la connexion, ce qui permet au script d'être plus facilement rejouable.

Pensez à nettoyer votre fichier side (notemment par rapport aux commandes parasites lors de l'enregitrement, ex : mouseover, mouseenter, ...)